Subject: bug#54423: 29.0.50; gnus-fetch-original-field returns nil in digest

From: Sam Steingold <[email-masked]>
Date: Thu, 17 Mar 2022 16:09:06 -0400

> * Lars Ingebrigtsen <[email-masked]> [2022-03-17 20:43:26 +0100]:
>
> Roland Winkler <[email-masked]> writes:
>
>> While I included the call of `gnus-fetch-original-field' in
>> `bbdb-message-header', I need to admit that the above issue goes much
>> beyond my knowledge of Gnus internals.  If there are better ways for
>> `bbdb-message-header' to achieve what it needs to achieve (which is
>> grabbing the content of (what appear to be) headers of a message),
>> then I certainly appreciate any patches for BBDB.
>
> If the intention is to collect data from the parent group (which is a
> thing mostly just for nndoc groups), you first have to determine what
> the parent group is, and then you can select the data from the buffer
> that's named something like " *Original Article group.name*".

...which brings us back to my original message ;-)

Specifically, `bbdb-message-header' calls

--8<---------------cut here---------------start------------->8---
(defun gnus-fetch-original-field (field)
  "Fetch FIELD from the original version of the current article."
  (with-current-buffer gnus-original-article-buffer
    (gnus-fetch-field field)))
--8<---------------cut here---------------end--------------->8---

The variable gnus-original-article-buffer evaluates to
" *Original Article gmane.comp.security.risks*"
and that buffer starts like this:

--8<---------------cut here---------------start------------->8---
Path: news.gmane.io!.POSTED.blaine.gmane.org!not-for-mail
From: RISKS List Owner <[email-masked]>
Newsgroups: gmane.comp.security.risks
Subject: Risks Digest 33.09
Date: Tue, 15 Mar 2022 16:23:26 PDT
Approved: [email-masked]
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Injection-Info: ciao.gmane.io; posting-host="blaine.gmane.org:116.202.254.214";
	logging-data="10317"; mail-complaints-to="[email-masked]"
To: [email-masked]
...
--8<---------------cut here---------------end--------------->8---

and (gnus-fetch-original-field "Newsgroups") returns nil even though the
original article buffer contains the appropriate header...

Thank you for your kind attention.

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.2113
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
http://think-israel.org https://jihadwatch.org https://iris.org.il
Those who can laugh at themselves will never cease to be amused.